Loading...
Searching...
No Matches
std::numeric_limits< Dune::bigunsignedint< k > > Struct Template Reference

`#include <dune/common/bigunsignedint.hh>`

Inheritance diagram for std::numeric_limits< Dune::bigunsignedint< k > >:

## Static Public Member Functions

static Dune::bigunsignedint< k > | min ()
static Dune::bigunsignedint< k > | max ()
static Dune::bigunsignedint< k > | epsilon ()
static Dune::bigunsignedint< k > | round_error ()
static Dune::bigunsignedint< k > | infinity () noexcept
static Dune::bigunsignedint< k > | quiet_NaN () noexcept
static Dune::bigunsignedint< k > | signaling_NaN () noexcept
static Dune::bigunsignedint< k > | denorm_min () noexcept

## Static Public Attributes

static const bool | is_specialized = true
static const int | digits
static const bool | is_signed = false
static const bool | is_integer = true
static const bool | is_exact = true
static const int | radix = 2
static const int | min_exponent = 0
static const int | min_exponent10 = 0
static const int | max_exponent = 0
static const int | max_exponent10 = 0
static const bool | has_infinity = false
static const bool | has_quiet_NaN = false
static const bool | has_signaling_NaN = false
static const float_denorm_style | has_denorm = denorm_absent
static const bool | has_denorm_loss = false
static const bool | is_iec559 = false
static const bool | is_bounded = true
static const bool | is_modulo = true
static const bool | traps = false
static const bool | tinyness_before = false
static const float_round_style | round_style = round_toward_zero

## Member Function Documentation

## denorm_min()

template<int k>

Dune::bigunsignedint< k > std::numeric_limits< Dune::bigunsignedint< k > >::denorm_min | ( |  | ) |

inline static noexcept

## epsilon()

template<int k>

Dune::bigunsignedint< k > std::numeric_limits< Dune::bigunsignedint< k > >::epsilon | ( |  | ) |

inline static

## infinity()

template<int k>

Dune::bigunsignedint< k > std::numeric_limits< Dune::bigunsignedint< k > >::infinity | ( |  | ) |

inline static noexcept

## max()

template<int k>

Dune::bigunsignedint< k > std::numeric_limits< Dune::bigunsignedint< k > >::max | ( |  | ) |

inline static

## min()

template<int k>

Dune::bigunsignedint< k > std::numeric_limits< Dune::bigunsignedint< k > >::min | ( |  | ) |

inline static

## quiet_NaN()

template<int k>

Dune::bigunsignedint< k > std::numeric_limits< Dune::bigunsignedint< k > >::quiet_NaN | ( |  | ) |

inline static noexcept

## round_error()

template<int k>

Dune::bigunsignedint< k > std::numeric_limits< Dune::bigunsignedint< k > >::round_error | ( |  | ) |

inline static

## signaling_NaN()

template<int k>

Dune::bigunsignedint< k > std::numeric_limits< Dune::bigunsignedint< k > >::signaling_NaN | ( |  | ) |

inline static noexcept

## Member Data Documentation

## digits

template<int k>

const int std::numeric_limits< Dune::bigunsignedint< k > >::digits

static

Initial value:
= Dune::bigunsignedint<k>::bits *
Dune::bigunsignedint<k>::n
Dune::bigunsignedint::n
static constexpr int n
Definition bigunsignedint.hh:79
Dune::bigunsignedint::bits
static constexpr int bits
Definition bigunsignedint.hh:78

## has_denorm

template<int k>

const float_denorm_style std::numeric_limits< Dune::bigunsignedint< k > >::has_denorm = denorm_absent

static

## has_denorm_loss

template<int k>

const bool std::numeric_limits< Dune::bigunsignedint< k > >::has_denorm_loss = false

static

## has_infinity

template<int k>

const bool std::numeric_limits< Dune::bigunsignedint< k > >::has_infinity = false

static

## has_quiet_NaN

template<int k>

const bool std::numeric_limits< Dune::bigunsignedint< k > >::has_quiet_NaN = false

static

## has_signaling_NaN

template<int k>

const bool std::numeric_limits< Dune::bigunsignedint< k > >::has_signaling_NaN = false

static

## is_bounded

template<int k>

const bool std::numeric_limits< Dune::bigunsignedint< k > >::is_bounded = true

static

## is_exact

template<int k>

const bool std::numeric_limits< Dune::bigunsignedint< k > >::is_exact = true

static

## is_iec559

template<int k>

const bool std::numeric_limits< Dune::bigunsignedint< k > >::is_iec559 = false

static

## is_integer

template<int k>

const bool std::numeric_limits< Dune::bigunsignedint< k > >::is_integer = true

static

## is_modulo

template<int k>

const bool std::numeric_limits< Dune::bigunsignedint< k > >::is_modulo = true

static

## is_signed

template<int k>

const bool std::numeric_limits< Dune::bigunsignedint< k > >::is_signed = false

static

## is_specialized

template<int k>

const bool std::numeric_limits< Dune::bigunsignedint< k > >::is_specialized = true

static

## max_exponent

template<int k>

const int std::numeric_limits< Dune::bigunsignedint< k > >::max_exponent = 0

static

## max_exponent10

template<int k>

const int std::numeric_limits< Dune::bigunsignedint< k > >::max_exponent10 = 0

static

## min_exponent

template<int k>

const int std::numeric_limits< Dune::bigunsignedint< k > >::min_exponent = 0

static

## min_exponent10

template<int k>

const int std::numeric_limits< Dune::bigunsignedint< k > >::min_exponent10 = 0

static

## radix

template<int k>

const int std::numeric_limits< Dune::bigunsignedint< k > >::radix = 2

static

## round_style

template<int k>

const float_round_style std::numeric_limits< Dune::bigunsignedint< k > >::round_style = round_toward_zero

static

## tinyness_before

template<int k>

const bool std::numeric_limits< Dune::bigunsignedint< k > >::tinyness_before = false

static

## traps

template<int k>

const bool std::numeric_limits< Dune::bigunsignedint< k > >::traps = false

static

The documentation for this struct was generated from the following file:

- bigunsignedint.hh